local _,stash = ...
stash.templates = {}

stash.templates.mixins = {
    MoneyDisplayTemplate = {},

}

function stash.templates.mixins.MoneyDisplayTemplate:SetAmount(amount)
    local copper = amount%100
    self.CopperAmount:SetText(copper)
    amount = (amount - copper)/100
    local silver = amount%100
    if amount > 0 then
        self.SilverAmount:SetText(silver)
        self.SilverIcon:Show()
        self.SilverAmount:Show()
    else
        self.SilverIcon:Hide()
        self.SilverAmount:Hide()
    end
    local gold = (amount - silver)/100
    if gold > 0 then
        self.GoldAmount:SetText(BreakUpLargeNumbers(gold))
        self.GoldIcon:Show()
        self.GoldAmount:Show()
        self:SetWidth(self.GoldAmount:GetStringWidth()+77)
    else
        self.GoldIcon:Hide()
        self.GoldAmount:Hide()
        self:SetWidth(77)
    end
end
